---

Alias: [""]
Tag: [""]
Date: 2022-03-10
DocType:
Hierarchy:
TimeStamp:
location:
CollapseMetaTable: Yes

---

Parent:: [[Selfhosting]], [[Server Alias]], [[Server Cloud]], [[Server Tools]], [[Server VPN]]

---

&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-ConfiguringTelegrambotsNSave

&emsp;

# Configuring Telegram bots

&emsp;

```ad-abstract
title: Summary
collapse: open
This note allows to configure Telegram bots for pairing with certain services.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Linking services with a Telegram bot

&emsp;

#### Creating a Telegram Bot

1. In Telegram, look for '@BotFather'
2. Initialise with `/start`
3. Create bot with `/newbot`

Record the Token from the message from *BotFather*.

&emsp;

#### Getting the Bot's Chat ID

In a terminal, run:

```ad-command
title: Telegram Chat ID
~~~bash
curl https://api.telegram.org/bot$TELEGRAM_BOT_TOKEN/getUpdates | jq .message.chat.id
~~~
```


&emsp;

#### Linking Logwatch

Please see full documentation [[GitHub - fxkjdlogwatch-telegram-bot Send logwatch results to your telegram account|here]].

&emsp;

#### Linking monit

Please see full documentation [[GitHub - matriphemonit2telegram A simple script to send Monit alerts using Telegram bot.|here]].

&emsp;

---

&emsp;

### Current bots

&emsp;

#### Logwatch and Monit

A bot has been created for [[Configuring Monit|monit]] and Logwatch.

&emsp;

```ad-credentials
title: Credentials
| Variable | Value
| - | -
| Name | Logwatch_servers
| Username | [mbvservers_bot](https://t.me/mbvservers_bot)
| Token | 5218097204:AAEnsZLTk4TTk-X-MceuoIGX0IQWLkngM4E
| Chat ID | 1622082350
```

&emsp;
&emsp;